Skip to main content
DELETE
/
search
/
recent
Clear recent searches
curl --request DELETE \
  --url https://api.royalti.io/search/recent \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.royalti.io/search/recent"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.royalti.io/search/recent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "Recent searches cleared"
}
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}
This endpoint requires authentication. Include your Bearer token in the Authorization header.

Description

This action cannot be undone. Authorization:
  • Required role: user or higher

Code Examples

const response = await fetch('https://api.royalti.io/search/recent', {
  method: 'DELETE',
  headers: {
    'Authorization': `Bearer ${token}`,
  },
});

const data = await response.json();
console.log(data);
import requests

response = requests.delete(
  'https://api.royalti.io/search/recent',
  headers={
    'Authorization': f'Bearer {token}'
  },
)

data = response.json()
print(data)
curl -X DELETE https://api.royalti.io/search/recent \
  -H "Authorization: Bearer YOUR_TOKEN" \

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"

Response

Recent searches cleared successfully

status
string
Example:

"success"

message
string
Example:

"Recent searches cleared"